"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ArrayColumn = void 0;

var _react = _interopRequireDefault(require("react"));

var _get = require("./utils/get");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ArrayColumn = function ArrayColumn(_ref) {
  var value = _ref.value,
      children = _ref.children;
  if (!value || !children) return;
  return value.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].cloneElement(children, {
      record: item,
      value: (0, _get.get)(item, children.props.source)
    }));
  });
};

exports.ArrayColumn = ArrayColumn;