import React from 'react';
import { TableCell } from './TableCell';
import { useSortByColumn } from './hooks';
export declare type HeaderCellProps = React.ComponentProps<typeof TableCell> & Parameters<typeof useSortByColumn>[0] & {
    sortIconAsc?: React.ReactElement;
    sortIconDesc?: React.ReactElement;
    label?: React.ReactNode;
    icon?: React.ReactElement;
};
export declare const HeaderCell: React.ForwardRefExoticComponent<Pick<Pick<{
    sticky?: boolean | "right" | undefined;
    isHeader?: boolean | undefined;
    useDiv?: boolean | undefined;
    rowSpan?: string | number | undefined;
    colSpan?: string | number | undefined;
} & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>, "sticky" | "isHeader" | "useDiv" | "rowSpan" | "colSpan" | "key" | keyof React.HTMLAttributes<HTMLDivElement>> & React.RefAttributes<unknown> & {
    source?: string | number | undefined;
    sortable?: boolean | undefined;
    multiSort?: boolean | undefined;
    sortBy?: import("./types").SortBy[] | undefined;
    sortType?: import("./types").SortType | undefined;
    setSortBy?: ((arg: import("./types").SortBy | import("./types").SortBy[]) => void) | undefined;
} & {
    sortIconAsc?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    sortIconDesc?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    label?: React.ReactNode;
    icon?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
}, "label" | "sticky" | "isHeader" | "useDiv" | "rowSpan" | "colSpan" | "key" | keyof React.HTMLAttributes<HTMLDivElement> | "icon" | keyof {
    source?: string | number | undefined;
    sortable?: boolean | undefined;
    multiSort?: boolean | undefined;
    sortBy?: import("./types").SortBy[] | undefined;
    sortType?: import("./types").SortType | undefined;
    setSortBy?: ((arg: import("./types").SortBy | import("./types").SortBy[]) => void) | undefined;
} | "sortIconAsc" | "sortIconDesc"> & React.RefAttributes<unknown>>;
