"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDataPerPage = void 0;

var _react = _interopRequireDefault(require("react"));

var _getDataPerPage = require("../utils/getDataPerPage");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useDataPerPage = function useDataPerPage(_ref) {
  var rowsPerPage = _ref.rowsPerPage,
      page = _ref.page,
      data = _ref.data;
  return _react["default"].useMemo(function () {
    return rowsPerPage && data ? (0, _getDataPerPage.getDataPerPage)(data, page, rowsPerPage) : data;
  }, [page, rowsPerPage, data]);
};

exports.useDataPerPage = useDataPerPage;