declare type Props = {
    page?: number;
    data?: Array<any>;
    defaultPage?: number;
    rowsPerPage?: number;
    dataSize?: number;
    onChange?: (value: number) => void;
};
export declare const usePagination: ({ data, page, defaultPage, rowsPerPage, dataSize: dataSizeProp, onChange, }: Props) => {
    rowsPerPage: number;
    page: number;
    setPage: (newValue: number) => void;
    dataSize: number;
    firstRowIndex: number;
    lastRowIndex: number;
    hasPreviousPage: boolean;
    hasNextPage: boolean;
    range: () => (string | number)[];
    numberOfPages: number;
    dataPerPage: any[] | undefined;
};
export {};
