import { SortBy } from '../types';
declare type useSortByParams = {
    data?: Array<any>;
    sortBy?: Array<SortBy>;
    defaultSortBy?: Array<SortBy>;
    onSort?: (value: Array<SortBy>) => void;
};
export declare const useSortBy: ({ data, sortBy, defaultSortBy, onSort }: useSortByParams) => {
    sortBy: SortBy[] | undefined;
    setSortBy: (newValue: any) => void;
    sortedData: any;
};
export {};
