import React from 'react';
import { OnRowClick } from './types';
export declare type TableRowProps<T = {}> = {
    cell?: React.ReactElement;
    record?: T;
    index?: number;
    useDiv?: boolean;
    onClick?: OnRowClick;
    ref?: any;
    columnProps?: any;
} & React.HTMLAttributes<HTMLTableRowElement>;
export declare const TableRow: React.ForwardRefExoticComponent<Pick<{
    cell?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    record?: unknown;
    index?: number | undefined;
    useDiv?: boolean | undefined;
    onClick?: OnRowClick | undefined;
    ref?: any;
    columnProps?: any;
} & React.HTMLAttributes<HTMLTableRowElement>, "record" | "useDiv" | "cell" | "index" | "columnProps" | keyof React.HTMLAttributes<HTMLTableRowElement>> & React.RefAttributes<unknown>>;
