"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDataPerPage = void 0;

var getDataPerPage = function getDataPerPage(data, page, rowsPerPage) {
  if (!Array.isArray(data)) return [];
  var indexStart = (+page - 1) * rowsPerPage;
  return data.slice(indexStart, indexStart + rowsPerPage);
};

exports.getDataPerPage = getDataPerPage;